Package org.python.util

# Enum ConsoleInputStream.EOLPolicy

java.lang.Object
java.lang.Enum<ConsoleInputStream.EOLPolicy>
org.python.util.ConsoleInputStream.EOLPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<ConsoleInputStream.EOLPolicy>`, `java.lang.constant.Constable`

Enclosing class:
  `ConsoleInputStream`

public static enum ConsoleInputStream.EOLPolicy extends Enum<ConsoleInputStream.EOLPolicy>
Enumeration used to specify whether an end-of-line should be added or replaced at the end of each line read. LEAVE means process the line exactly as the library returns it; ADD means always add an end-of-line; and REPLACE means strip any final '\n', '\r', or '\r\n' and add an end-of-line. The end-of-line to add is specified as a String in the constructor.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD`
`LEAVE`
`REPLACE`

## Method Summary

Modifier and Type
Method
Description
`static ConsoleInputStream.EOLPolicy`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ConsoleInputStream.EOLPolicy[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEAVE

public static final ConsoleInputStream.EOLPolicy LEAVE

### ADD

public static final ConsoleInputStream.EOLPolicy ADD

### REPLACE

public static final ConsoleInputStream.EOLPolicy REPLACE

## Method Details

### values

public static ConsoleInputStream.EOLPolicy[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ConsoleInputStream.EOLPolicy valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null